$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $("body").on('click', '#attndtl', EditAttn);

    function EditAttn() {

        var name = $(".name").val();

        if (name === '') {
            alert("Name Cannot Be Empty");
            return false;
        }
        $(".mainhide").hide();

        var name = $(".name").val();
        var fdate = $(".fdate").val();
        var tdate = $(".tdate").val();
        var ctr = 1;
//        var ctr = 1;
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }

        $.post('get_atnedit.php', {ctr: ctr, hide: hide_check, fdate: fdate, tdate: tdate, name: name}, function (data) {
            $(data).appendTo('.data');
//            $('.data').html(data);
//            $(".tbody").find('select').addClass('select2');
//            $('.tbody').html(data);
//            ctr++;
            var ctr = $('.lasctr').val();
            $("#items").val(ctr);
            $('select').select2();
//            AddRows();
        });
        $(".tohide").show();
    }



    $('#addnew').click(function () {
        AddRows();
    });
    function remove() {
        $(this).closest("tr").remove();
    }
//
//    function AddRows() {
//        var ctr = $('#items').val();
//        var vouchdt = $("#vouchdt").val();
//        var hide_check = "";
//        if ($("#del_all").prop("checked")) {
//            hide_check = 0;
//        } else {
//            hide_check = 1;
//        }
//        var detail = ".fetchpart_" + ctr;
//        var focusFld = ".focusFld_" + ctr;
//        $.post('attend_add.php', {ctr: ctr, hide: hide_check, vouchdt: vouchdt}, function (data) {
//            $(data).appendTo('.data');
////            $(".tbody").find('select').addClass('select2');
////            $('.tbody').html(data);
//            ctr++;
//            $('#items').val(ctr);
//            $(detail).select2();
//        });
//    }
//        var init = $('.init').val();
//        var accode = $('.accode').val();
//        var type = "cash"
//        $.post('check_init.php',{init: init, type: type, accode: accode},function(data){
//            if(data == 1){
//                alert("Init Already Exist");
//                $(".init").val('');
//            }
//        });

});